Create email verification link

Generate an email verification link

POST/api/v1/:app_id/auth/verify-email
API
Auth
OpenAPI
auth-api
Updated
Apr 26, 2026

auth-api:POST:/api/v1/:app_id/auth/verify-email

Generate an email verification link

API ownership

  • API family: Auth API
  • Best for: Customer identity, session, token, cart, and wishlist flows.
  • Do not use from: Merchant admin data syncs or public catalog rendering.
  • Guide route: /apis/auth/latest

The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation.

Operation

  • Method: POST
  • Path: /api/v1/:app_id/auth/verify-email
  • Summary: Create email verification link
  • Description: Generate an email verification link
  • OpenAPI contract: auth-api
  • Operation ID: Not documented in the OpenAPI contract.

Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID.

Parameters1 parameter
NameInRequiredTypeDescription
app_idpathYesstringUUID of the app
Request bodyDocumented body
  • Required: Yes
  • Description: Email address
  • Content: application/json (object)

Send Verification Email Request

PropertyTypeRequiredDetails
emailstringYes-

Generated example (synthetic):

{
  "email": "string"
}
Responses3 statuses
StatusDescriptionContent
200Email verification link created and sent via emailapplication/json (object)
400Invalid requestapplication/json (object)
500Internal server errorapplication/json (object)

200 - object

Message

PropertyTypeRequiredDetails
messagestringNo-

Generated example (synthetic):

{
  "message": "string"
}

400 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

500 - object

Error Message

PropertyTypeRequiredDetails
detailsstring[]No-
messagestringNo-
successbooleanNo-

Generated example (synthetic):

{
  "details": [
    "string"
  ],
  "message": "string",
  "success": false
}

Contract identity

Use these fields to confirm you are implementing the intended endpoint contract.

  • API family: Auth API
  • Method: POST
  • Path: /api/v1/:app_id/auth/verify-email
  • Operation ID: Not documented in the OpenAPI contract.
  • OpenAPI tag: Auth
  • OpenAPI summary: Create email verification link

Create email verification link

# Create email verification link Generate an email verification link
POST /api/v1/:app_id/auth/verify-email
Purpose

Generate an email verification link

Required inputs

app_id path

Primary response

200 ยท Email verification link created and sent via email

Operation key

auth-api:POST:/api/v1/:app_id/auth/verify-email

## API ownership - API family: Auth API - Best for: Customer identity, session, token, cart, and wishlist flows. - Do not use from: Merchant admin data syncs or public catalog rendering. - Guide route: [/apis/auth/latest](/apis/auth/latest) The OpenAPI contract defines the method, path, parameters, request body, and responses for this operation. ## Operation - Method: `POST` - Path: `/api/v1/:app_id/auth/verify-email` - Summary: Create email verification link - Description: Generate an email verification link - OpenAPI contract: auth-api - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:POST:/api/v1/:app_id/auth/verify-email` Operation key uses API family, method, and path because this OpenAPI contract does not publish an operation ID. ## Parameters | Name | In | Required | Type | Description | | --- | --- | --- | --- | --- | | app_id | path | Yes | string | UUID of the app | ## Request body - Required: Yes - Description: Email address - Content: application/json (object) ### Send Verification Email Request | Property | Type | Required | Details | | --- | --- | --- | --- | | `email` | string | Yes | - | **Generated example (synthetic):** ```json { "email": "string" } ``` ## Responses | Status | Description | Content | | --- | --- | --- | | 200 | Email verification link created and sent via email | application/json (object) | | 400 | Invalid request | application/json (object) | | 500 | Internal server error | application/json (object) | ### 200 - object #### Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `message` | string | No | - | **Generated example (synthetic):** ```json { "message": "string" } ``` ### 400 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ### 500 - object #### Error Message | Property | Type | Required | Details | | --- | --- | --- | --- | | `details` | string[] | No | - | | `message` | string | No | - | | `success` | boolean | No | - | **Generated example (synthetic):** ```json { "details": [ "string" ], "message": "string", "success": false } ``` ## Contract identity Use these fields to confirm you are implementing the intended endpoint contract. - API family: Auth API - Method: `POST` - Path: `/api/v1/:app_id/auth/verify-email` - Operation ID: Not documented in the OpenAPI contract. - Stable operation key: `auth-api:POST:/api/v1/:app_id/auth/verify-email` - OpenAPI tag: Auth - OpenAPI summary: Create email verification link